Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QLCDNumber.Mode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QLCDNumber.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QLCDNumber

    public static final class QLCDNumber.Mode

extends java.lang.Enum
implements QtEnumerator

This type determines how numbers are shown. If the display is set to hexadecimal, octal or binary, the integer equivalent of the value is displayed.

See Also:
  Serialized Form

Field Summary
`static QLCDNumber.Mode` | `Bin` Binary
`static QLCDNumber.Mode` | `Dec` Decimal
`static QLCDNumber.Mode` | `Hex` Hexadecimal
`static QLCDNumber.Mode` | `Oct` Octal

Method Summary
`static QLCDNumber.Mode` | `resolve(int value)` Returns the QLCDNumber$Mode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLCDNumber.Mode` | `valueOf(java.lang.String name)`
`static QLCDNumber.Mode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Hex

    public static final QLCDNumber.Mode Hex

  Hexadecimal

### Dec

    public static final QLCDNumber.Mode Dec

  Decimal

### Oct

    public static final QLCDNumber.Mode Oct

  Octal

### Bin

    public static final QLCDNumber.Mode Bin

  Binary

Method Detail

### values

    public static QLCDNumber.Mode[] values()

### valueOf

    public static QLCDNumber.Mode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLCDNumber.Mode resolve(int value)

  Returns the QLCDNumber$Mode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD